$.fn.browserCheck = function (allowBrowsers) {
    if (!allowBrowsers) return;
    if (allowBrowsers.indexOf(getBrowser()) === -1)
        this.show();
};

function getBrowser() {
    // Opera 8.0+
    var isOpera = (!!window.opr && !!opr.addons) || !!window.opera || navigator.userAgent.indexOf(' OPR/') >= 0;
    // Firefox 1.0+
    var isFirefox = typeof InstallTrigger !== 'undefined';
    // Safari 3.0+ "[object HTMLElementConstructor]" 
    var isSafari = /constructor/i.test(window.HTMLElement) || (function (p) { return p.toString() === "[object SafariRemoteNotification]"; })(!window['safari'] || (typeof safari !== 'undefined' && safari.pushNotification));
    // Internet Explorer 6-11
    var isIE = /*@cc_on!@*/false || !!document.documentMode;
    // Edge 20+
    var isEdge = !isIE && !!window.StyleMedia;
    // Chrome 1 - 79
    var isChrome = !!window.chrome; //&& (!!window.chrome.webstore || !!window.chrome.runtime);
    // Edge (based on chromium) detection
    var isEdgeChromium = isChrome && (navigator.userAgent.indexOf("Edg") !== -1);
    // Blink engine detection
    var isBlink = (isChrome || isOpera) && !!window.CSS;
    //Chrome for iOS
    var isIOSChrome = window.navigator.userAgent.match("CriOS");

    if (isOpera) return "Opera";
    else if (isFirefox) return "Firefox";
    else if (isSafari) return "Safari";
    else if (isIE) return "IE";
    else if (isEdge) return "Edge";
    else if (isChrome || isIOSChrome) return "Chrome";
    else if (isEdgeChromium) return "Chromium Edge";
    else if (isBlink) return "Blink";
    return "unknown";
}